> בס״ד
<div align="center">

<img align="center" width="100" src="https://user-images.githubusercontent.com/51442719/172729066-1293d382-4a31-4f03-8c23-ab0ea5f611a0.png">

⫷ [`HacKingPro`](https://github.com/Anlominus/HacKingPro) ⫸
<br>
⫷ [`TryHackMe`](https://github.com/Anlominus/TryHackMe) | [`KoTH`](https://github.com/Anlominus/TryHackMe/tree/main/King%20of%20the%20Hill/KoTH) ⫸ 
<br>
⫷ [`ScanPro`](https://github.com/Anlominus/ScanPro) | [`Linfo`](https://github.com/Anlominus/Linfo) | [`Diablo`](https://github.com/Anlominus/Diablo) ⫸ 
<br>
⫷ [`Offensive-Security`](https://github.com/Anlominus/Offensive-Security) | [`PenTest`](https://github.com/Anlominus/PenTest) ⫸
<br>
⫷ [`Goals`](https://github.com/Anlominus/Goals) | [`Studies`](https://github.com/Anlominus/Studies) | [`HacKing`](https://github.com/Anlominus/HacKing) | [`AnyTeam`](https://github.com/Anlominus/AnyTeam) ⫸
<br>

</div>

---

<p align="center">A curated list of tools and services that respect your privacy.</p>

<p align="center"><a href="https://awesome.re" target="_blank"><img src="https://awesome.re/badge-flat.svg"></a></p>

---

## Contents

* [Search engines](#search-engines)
* [Web browsers](#web-browsers)
  * [Cross-platform](#cross-platform)
  * [For Android](#for-android)
  * [For iOS](#for-ios)
  * [Extensions](#extensions)
* [Email](#email)
  * [Providers](#providers)
  * [Clients](#clients)
  * [Encryption](#encryption)
  * [Aliases](#aliases)
  * [Temporary email](#temporary-email)
  * [Self-hosting](#self-hosting)
* [Operating systems](#operating-systems)
  * [User-friendly OS](#user-friendly-os)
  * [Advanced OS](#advanced-os)
  * [Privacy oriented OS](#privacy-oriented-os)
  * [Mobile OS](#mobile-OS)
* [Social networks](#social-networks)
  * [Facebook](#facebook)
  * [Twitter](#twitter)
  * [YouTube](#youtube)
  * [Instagram](#instagram)
  * [Reddit](#reddit)
* [Cloud storage](#cloud-storage)
* [Encryption](#encryption)
* [Hosting providers](#hosting-providers)
* [DNS](#dns)
* [VPN](#vpn)
* [Ad blockers](#ad-blockers)
* [Firewalls](#firewalls)
* [Password managers](#password-managers)
* [Contacts and calendars](#contacts-and-calendars)
* [Media streaming](#media-streaming)
  * [Music](#music)
  * [Video](#video)
* [Media players](#media-players)
  * [Music players](#music-players)
  * [Video players](#video-players)
  * [Podcast](#podcast)
* [Instant messaging](#instant-messaging)
* [Video and voice calling](#video-and-voice-calling)
* [Team communication](#team-communication)
* [Project management](#project-management)
* [Wiki](#wiki)
* [Web development](#web-development)
  * [Code editors](#code-editors)
  * [FTP clients](#ftp-clients)
  * [Version control](#version-control)
  * [Terminal emulators](#terminal-emulators)
* [Note-taking](#note-taking)
* [Markdown editors](#markdown-editors)
* [To-do lists](#to-do-lists)
* [Photo](#photo)
  * [Android camera](#android-camera)
  * [Photo storage](#photo-storage)
  * [Photo management](#photo-management)
  * [Image editing](#image-editing)
  * [Metadata removal](#metadata-removal)
* [Screen recording](#screen-recording)
* [Office](#office)
* [Maps and navigation](#maps-and-navigation)
* [Translation](#translation)
* [Blogging platforms](#blogging-platforms)
* [Website analytics](#website-analytics)
* [Fonts](#fonts)
* [Android keyboards](#android-keyboards)
* [Android app stores](#android-app-stores)
* [Mobile security](#mobile-security)
* [Two factor authentication](#two-factor-authentication)
* [URL shorteners](#url-shorteners)
* [System optimizers](#system-optimizers)
* [BitTorrent clients](#bittorrent-clients)
* [Video editors](#video-editors)
* [Video transcoders](#video-transcoders)
* [Graphic design](#graphic-design)
* [Document viewers](#document-viewers)
* [Ebook readers](#ebook-reader)
* [Screenshot utilities](#screenshot-utilities)
* [Backup tools](#backup-tools)
* [Gaming](#gaming)
* [Other](#other)

## Search engines

* [DuckDuckGo](https://duckduckgo.com) – A US-based search engine that respects the privacy of its users.
* [Startpage](https://www.startpage.com) – A search engine that provides Google search results with complete privacy protection.
* [Searx](https://searx.me) – An open-source, self-hostable, metasearch engine.
* [Mojeek](https://www.mojeek.com) – An independent search engine which does not track you.
* [Qwant](https://www.qwant.com) – A search engine that respects your privacy.
* [YaCy](https://yacy.net) – A free, open source and decentralized search engine.
* [Swisscows](https://swisscows.com) – A private search engine made in Switzerland.

## Web browsers

### Cross-platform

* [Firefox](https://www.mozilla.org/en-US/firefox/) – An open source web browser that respects your privacy ([see here](https://www.privacytools.io/browsers/#about_config) to harden it).
* [Tor Browser](https://www.torproject.org) – A modified version of Firefox ESR with privacy add-ons, encryption, and an advanced proxy.
* [Ungoogled Chromium](https://github.com/Eloston/ungoogled-chromium) – Chromium without its built-in Google services or background processes.

### For Android

* [Bromite](https://www.bromite.org) – A Chromium fork with ad blocking and enhanced privacy.
* [DuckDuckGo Privacy Browser](https://duckduckgo.com/app) – An open-source web browser that has built-in ad and tracker blocking.
* [Firefox Focus](https://support.mozilla.org/en-US/kb/focus) – A dedicated privacy browser with tracking protection and content blocking.
* [Privacy Browser](https://www.stoutner.com/privacy-browser/) – An open source Android web browser focused on user privacy.
* [Iceraven](https://github.com/fork-maintainers/iceraven-browser) – A web browser for Android, based on Mozilla's Fenix version of Firefox.

### For iOS

* [Onion Browser](https://onionbrowser.com) – An open-source browser that lets you browse the web anonymously over the Tor network.
* [DuckDuckGo Privacy Browser](https://duckduckgo.com/app) – An open-source web browser that has built-in ad and tracker blocking.
* [SnowHaze](https://snowhaze.com) – An open-source web browser with built-in ad, tracker, cookie, and fingerprint blocking.

### Extensions

_Note that it is pretty redundant to use uBlock Origin + Privacy Badger as it serves the same purpose. Moreover, it's even harmful since you're increasing your fingerprint with every extension you install. In general, you should only install the extensions you need and not all the ones listed above._

* [uBlock Origin](https://ublockorigin.com) – A free and open source content Blocker.
* [Privacy Badger](https://privacybadger.org) – An extensions that automatically learns to block invisible trackers.
* [HTTPS Everywhere](https://www.eff.org/https-everywhere) – An extension that encrypts your communications with many major websites.
* [NoScript](https://noscript.net) – An extension that blocks JavaScript, Flash, and other executable content.
* [LocalCDN](https://www.localcdn.org) – An extension that emulates Content Delivery Networks to improve your online privacy.
* [ClearURLs](https://gitlab.com/KevinRoebert/ClearUrls) – An extension to remove tracking elements from URLs.
* [ToS;Dr](https://tosdr.org) – An extension that ranks the terms of service of various major websites.
* [SponsorBlock](https://sponsor.ajay.app) – A crowdsourced browser extension for skipping sponsor segments in YouTube videos.
* [Multi-Account Containers](https://addons.mozilla.org/en-US/firefox/addon/multi-account-containers/) and [Temporary Containers](https://addons.mozilla.org/en-US/firefox/addon/temporary-containers/) to create and manage containers in Firefox.
* [Cookie Autodelete](https://github.com/Cookie-AutoDelete/Cookie-AutoDelete) – An extension that deletes cookies and other browsing site data as soon as the tab closes.
* [CanvasBlocker](https://github.com/kkapsner/CanvasBlocker/) – An extension that alters some JS APIs to prevent fingerprinting.
* [Snowflake](https://snowflake.torproject.org) – An extension that turns your browser into a proxy that connects Tor users in censored regions to the Tor network.

## Email

### Providers

* [ProtonMail](https://protonmail.com) – Secure email service based in Switzerland.
* [Tutanota](https://tutanota.com) – German email service with a focus on privacy and security.
* [Mailbox.org](https://mailbox.org) – Secure email and cloud storage based in Germany.
* [Posteo](https://posteo.de) – Secure and private email service based in Germany.
* [Disroot](https://disroot.org) – An online services provider based in the Netherlands.
* [StartMail](https://www.startmail.com) – A private email service developed by the creators of StartPage.
* [CTemplar](https://ctemplar.com) – An anonymous and encrypted email provider based in Iceland.

### Clients

* [Thunderbird](https://www.thunderbird.net) – Cross-platform, free and open source email application made by Mozilla.
* [Canary Mail](https://canarymail.io) – A secure email client for macOS, iOS and Android (paid and closed source).
* [Geary](https://wiki.gnome.org/Apps/Geary) – An email application built around conversations, for Linux.
* [Evolution](https://wiki.gnome.org/Apps/Evolution) – A Linux application that provides mail, calendar and address book.
* [Claws Mail](https://www.claws-mail.org) – An open source email client (and news reader) for Windows and Linux.
* [KMail](https://kontact.kde.org/components/kmail.html) – The email component of Kontact, the integrated personal information manager from KDE.
* [K-9 Mail](https://k9mail.app) – A free and open source email client for Android.
* [FairEmail](https://email.faircode.eu) – An open source and privacy oriented email app for Android.
* [p≡p](https://www.pep.security) – Free and open source email client for Android and iOS.
* [Kube](https://kube-project.com) – A modern communication and collaboration client for Linux and macOS.

### Encryption

* [GnuPG](https://www.gnupg.org) – Encrypt and sign your data and communications.
* [GPG Suite](https://gpgtools.org) – An open source GnuPG front-end for macOS.
* [GPG4Win](https://www.gpg4win.org) – An open source GnuPG front-end for Windows.
* [Enigmail](https://www.enigmail.net) – Encrypt/decrypt and digitally sign your emails in Thunderbird, Postbox and Interlink.
* [Mailvelope](https://www.mailvelope.com) – A browser extension to securely encrypt your emails with PGP using webmail providers.

### Aliases

* [SimpleLogin](https://simplelogin.io) – A tool to easily create aliases for your email. Allows 15 aliases for free.
* [AnonAddy](https://anonaddy.com) – A tool to create aliases that forward to their email address. Allows unlimited aliases.
* [Firefox Relay](https://relay.firefox.com) – Create aliases that forward to your real inbox. Allows 5 aliases.

### Temporary email

* [Maildrop](https://maildrop.cc) – Free and open source disposable e-mail addresses service.
* [10 Minute Mail](https://10minutemail.com) – Free and anonymous temporary email.
* [erine.email](https://erine.email) – Unlimited disposable email addresses to avoid spam.
* [Mailsac](https://mailsac.com) – Open source disposable email hosting.
* [inboxkitten](https://inboxkitten.com) – Open source disposable email.

### Self-hosting

* [Mail-in-a-Box](https://mailinabox.email) – An easy-to-deploy mail server in a box.
* [mailcow](https://mailcow.email) – An advanced mail server perfect for those with a bit more Linux experience.
* [Roundcube](https://roundcube.net) – A web-based IMAP email client.
* [Mailpile](https://www.mailpile.is) – A fast web-mail client with user-friendly encryption and privacy features.
* [RainLoop](https://www.rainloop.net) – A simple, modern & fast web-based email client.

## Operating systems

### User-friendly OS

* [Ubuntu](https://ubuntu.com) – A reliable and user-friendly Linux distribution developed by Canonical.
* [Fedora Workstation](https://getfedora.org/en/workstation) – A reliable, user-friendly, and powerful operating system.
* [Linux Mint](https://linuxmint.com) – A modern, elegant and easy to use Linux distribution based on Ubuntu.
* [Manjaro](https://manjaro.org) – An accessible, friendly, open-source operating system.
* [openSUSE](https://www.opensuse.org) – A community project to develop and maintain a general purpose Linux distribution.
* [Solus](https://getsol.us) – A Linux distribution built from scratch, exclusively for desktop systems.
* [Pop!₋OS](https://pop.system76.com) – A distribution developed by System76, based on Ubuntu and GNOME.
* [KDE Neon](https://neon.kde.org) – The latest and greatest of KDE community software packaged on a rock-solid base.
* [EndeavourOS](https://endeavouros.com) – An easy way to install Arch Linux (successor of Antergos).

### Advanced OS

* [Arch Linux](https://archlinux.org) – A lightweight and flexible Linux® distribution that tries to keep it simple.
* [Debian](https://www.debian.org) – A good Linux distribution known for its stability.
* [NixOS](https://nixos.org) – A Linux distribution that aims to improve the state of the art in system configuration management.
* [Void Linux](https://voidlinux.org) – A general purpose operating system, based on the monolithic Linux kernel.
* [GhostBSD](https://www.ghostbsd.org) – A simple, elegant desktop BSD operating system.

### Privacy oriented OS

* [Tails](https://tails.boum.org) – A Debian based live CD/USB with the goal of providing complete Internet anonymity.
* [Alpine Linux](https://www.alpinelinux.org) – A security-oriented, lightweight Linux distribution based on musl libc and busybox.
* [Qubes OS](https://www.qubes-os.org) – A security-oriented operating system that uses "security by compartmentalization".
* [Whonix](https://www.whonix.org) – A desktop operating system designed for advanced security and privacy.
* [Parrot OS](https://www.parrotsec.org) – A Linux distribution based on Debian and designed with security and privacy in mind.

### Mobile OS

* [GrapheneOS](https://grapheneos.org) – A privacy-focused mobile operating system for Pixel phones built on top of AOSP.
* [CalyxOS](https://calyxos.org) – A secure and private mobile OS for Pixel phones and the Xiami Mi A2.
* [LineageOS](https://www.lineageos.org) – A custom ROM based on AOSP with official support for a wide variety of devices.
* [Ubuntu Touch](https://ubuntu-touch.io) – A free and open-source operating system for smartphones and tablets based on Ubuntu.
* [Plasma Mobile](https://www.plasma-mobile.org) – A privacy-respecting, open source and secure phone ecosystem based on KDE Plasma.
* [postmarketOS](https://postmarketos.org) – A Linux distribution for mobile phones.
* [/e/](https://e.foundation) – A fork of LineageOS that aims to be completely free of everything Google.
* [PureOS](https://pureos.net) – A user friendly, secure and freedom respecting OS for the Librem 5 phone.
* [microG](https://microg.org) – Not an OS, but a re-implementation of Google’s proprietary Android apps and libraries.

## Social networks

### Facebook

— Alternatives

* [diaspora*](https://diasporafoundation.org) – A free, open source and decentralized social network.
* [Friendica](https://friendi.ca) – A decentralized social network with no central authority or ownership.
* [Movim](https://movim.eu) – A decentralized social and chat platform that act as a web frontend for the XMPP protocol.

— Clients

* [Frost](https://github.com/AllanWang/Frost-for-Facebook) – An extensive and functional third party app for Facebook.

### Twitter

— Alternatives

* [Mastodon](https://joinmastodon.org) – An open source decentralized social network.
* [Pleroma](https://pleroma.social) – A free, federated social networking server built on open protocols.

— Clients

* [Nitter](https://nitter.net) – A free and open source alternative Twitter front-end focused on privacy.
* [Yotter](https://github.com/ytorg/yotter) – A privacy-focused Twitter and YouTube front-end.
* [Twidere X](https://github.com/TwidereProject/Twidere-Android/issues/1388) – An open source, fully featured Twitter/Mastodon mobile app.

### YouTube

— Alternatives

* [PeerTube](https://joinpeertube.org) – A free and decentralized alternative to video platforms.
* [LBRY](https://lbry.com) – A free, open, and community-run alternative to big tech.
* [Odysee](https://odysee.com) – A free and decentralized platform running on the LBRY protocol.
* [DTube](https://d.tube) – A full-featured and decentralized video sharing website. 

— Clients

* [Invidious](https://github.com/iv-org/invidious) – A privacy-focused alternative front-end to YouTube.
* [FreeTube](https://freetubeapp.io) – A private YouTube client for Windows, macOS, and Linux.
* [NewPipe](https://newpipe.net) – A lightweight and privacy friendly YouYube app for Android.
* [SongTube](https://songtube.github.io) – A beautiful ad-free YouTube client for Android.
* [SkyTube](https://skytube-app.com) – An open-source YouTube app for Android.
* [Piped](https://piped.kavin.rocks) – An alternative privacy-friendly YouTube frontend which is efficient by design.

### Instagram

— Alternatives

* [PixelFed](https://pixelfed.org) – A free and ethical photo sharing platform.

— Clients

* [Barinsta](https://barinsta.austinhuang.me) – An open source, and privacy-friendly alternative Instagram client for Android.
* [Bibliogram](https://bibliogram.art) – A fast, private and ad-free Instagram front-end.

### Reddit

— Alternatives

* [Lemmy](https://lemmy.ml) – A federated link aggregator and Reddit alternative.
* [Ruqqus](https://ruqqus.com) – An open source platform for online communities.
* [SaidIt](https://saidit.net) – An open source Reddit clone.
* [Aether](https://getaether.net) – Peer-to-peer ephemeral public communities.
* [Phuks](https://phuks.co) – A friendly link aggregating website.
* [Raddle](https://raddle.me) – A web-based forum where users submit links, pictures, posts, etc.
* [Tildes](https://tildes.net) – A non-profit community site driven by its users' interests.

— Clients

* [Slide](https://github.com/ccrama/Slide) – An open sourced, ad free Reddit browser for [iOS](https://github.com/ccrama/Slide-iOS) and Android.
* [Infinity](https://github.com/Docile-Alligator/Infinity-For-Reddit) – A beautiful, feature-rich Reddit client for Android.
* [RedReader](https://github.com/QuantumBadger/RedReader) – An unofficial open source Reddit client for Android.

## Cloud storage

* [NextCloud](https://nextcloud.com) – A self-hosted productivity platform that keeps you in control.
* [CryptPad](https://cryptpad.fr) – A zero knowledge and collaborative cloud.
* [Seafile](https://www.seafile.com) – An open source file sync & share solution.
* [Tresorit](https://tresorit.com) – An end-to-end encrypted file sync and sharing solution.
* [Syncthing](https://syncthing.net) – A continuous file synchronization program.
* [Rclone](https://rclone.org) – A command line program to manage files on cloud storage.

## Encryption

* [Cryptomator](https://cryptomator.org) – A tool to encrypt your data quickly and easily.
* [VeraCrypt](https://www.veracrypt.fr) – A free open source disk encryption software.
* [Kryptor](https://kryptor.co.uk) – A free and open source file encryption software.
* [7-Zip](https://7-zip.org) – A free and open-source file archiver.
* [Hat.sh](https://hat.sh) – A free, fast, secure and serverless file encryption software.
* [Tomb](https://www.dyne.org/software/tomb/) – A free and open source system for file encryption on GNU/Linux.
* [LUKS](https://gitlab.com/cryptsetup/cryptsetup/) – The standard for Linux hard disk encryption.
* [StegCloak](https://stegcloak.surge.sh) – Hide secrets with invisible characters in plain text securely using passwords.

## Hosting providers

* [Bahnhof](https://www.bahnhof.net) – High-performance and secure cloud solutions.
* [Njalla](https://njal.la) – A privacy-aware domain and VPS service.
* [Exoscale](https://www.exoscale.com) – A European cloud computing for cloud native teams.
* [Greenhost](https://greenhost.net) – A sustainable and secure webhosting.
* [1984 Hosting](https://1984hosting.com) – A green, ethical web hosting that protects its user's privacy.
* [OrangeWebsite](https://www.orangewebsite.com) – An Icelandic web hosting provider.
* [FlokiNET](https://flokinet.is) – A secure, stable and anonymous web hosting.
* [Infomaniak](https://www.infomaniak.com) – Professional web hosting, domain name, cloud server, and email service.
* [Namecheap](https://www.namecheap.com) – Cheap domain names and web hosting.

## DNS

* [DNSCrypt](https://dnscrypt.info) – Encrypts, authenticates and anonymizes communications between a DNS client and resolver.
* [Unbound](https://nlnetlabs.nl/projects/unbound/about/) – A validating, recursive, and caching DNS resolver.
* [dnscrypt-proxy](https://github.com/DNSCrypt/dnscrypt-proxy) – A flexible DNS proxy, with support for encrypted DNS protocols.
* [Nebulo](https://git.frostnerd.com/PublicAndroidApps/smokescreen/) – An open-source Android client supporting DNS-over-HTTPS and DNS-over-TLS.
* [DNSCloak](https://github.com/s-s/dnscloak) – A GUI and wrapper for dnscrypt-proxy 2.

## VPN

* [ProtonVPN](https://protonvpn.com) – A high-speed Swiss VPN that safeguards your privacy.
* [Mullvad](https://mullvad.net) – A VPN service that helps keep your online activity, identity, and location private.
* [IVPN](https://www.ivpn.net) – An audited, open-source VPN service with WireGuard, killswitch and tracker blocker.

## Ad blockers

* [uBlock Origin](https://ublockorigin.com) – A free and open source ad and content blocker.
* [AdAway](https://adaway.org) – An open source ad blocker for Android using the hosts file.
* [AdGuard](https://adguard.com) – Cross-platform app to get rid of intrusive ads and online tracking.
* [Blokada](https://blokada.org) – Free and open source ad blocker for Android and iOS.
* [Better Blocker](https://better.fyi) – A privacy tool for Safari on iPhone, iPad, and Mac.
* [DNS66](https://github.com/julian-klode/dns66) – DNS-based host blocker for Android.
* [Pi-hole](https://pi-hole.net) – A network-wide ad blocking solution.
* [RethinkDNS + Firewall](https://rethinkfirewall.com) – Free and open source adblocker and firewall for Android.

## Firewalls

* [OpenSnitch](https://github.com/evilsocket/opensnitch) – A GNU/Linux port of the Little Snitch application firewall.
* [NetGuard](https://netguard.me) – A simple way to block access to the internet per application.
* [simplewall](https://www.henrypp.org/product/simplewall) – A simple tool to configure Windows Filtering Platform (WFP).
* [Douane](https://douaneapp.com) – A personal firewall that protects a user's privacy.
* [LuLu](https://objective-see.com/products/lulu.html) – A free, open-source firewall that aims to block unknown outgoing connections on your Mac.

## Password managers

* [Bitwarden](https://bitwarden.com) – A free and open source password manager for every platform.
* [KeePassXC](https://keepassxc.org) – A cross-platform open source password manager.
  * [KeePassDX](https://www.keepassdx.com) – Android client.
  * [MacPass](https://macpassapp.org) – macOS client.
  * [KeePass2Android](https://github.com/PhilippC/keepass2android) – Android client.
  * [KeePassDroid](http://www.keepassdroid.com) – Android client.
  * [KeeWeb](https://keeweb.info) – Desktop and online client.
* [LessPass](https://lesspass.com) – An open source stateless password manager.
* [Master Password](https://masterpassword.app) – An app that generates strong and unique passwords.
* [Buttercup](https://buttercup.pw) – A secure and open source password manager.

## Contacts and calendars

* [EteSync](https://www.etesync.com) – End-to-end encrypted sync for your contacts, calendars, tasks and notes.
* [fruux](https://fruux.com) – Securely share, sync and collaborate in teams.
* [Lightning Calendar](https://www.thunderbird.net/en-US/calendar/) – A calendar fully integrated with Thunderbird.
* [Etar Calendar](https://github.com/Etar-Group/Etar-Calendar) – An open source calendar app for Android.
* [Simple Calendar](https://www.simplemobiletools.com/calendar/) – A flexible calendar with many event related options.
* [Nextcloud Calendar](https://apps.nextcloud.com/apps/calendar) – A user interface for Nextcloud's CalDAV server.
* [KOrganizer](https://apps.kde.org/en/korganizer) – The calendar and scheduling component of Kontact.
* [KAddressBook](https://apps.kde.org/en/kaddressbook) – The contact manager component of Kontact.

## Media streaming

### Music

* [Funkwhale](https://funkwhale.audio) – A project that lets you listen and share music within a decentralized, open network.
* [Ampache](http://ampache.org) – A web based audio/video streaming application and file manager.
* [koel](https://koel.dev) – A personal music streaming server.
* [Navidrome](https://www.navidrome.org) – A modern music server and streamer compatible with Subsonic/Airsonic.
* [Sonerezh](https://www.sonerezh.bzh) – A self-hosted, web-based application to stream your music everywhere.
* [Nuclear](https://nuclear.js.org) – A modern music player focused on streaming from free sources.
* [Audius](https://audius.co) – A a decentralized, community-owned music-sharing protocol and app.
* [Radio4000](https://radio4000.com) – Collect, curate, play and share your own radio channel.

### Video

* [Kodi](https://kodi.tv) – A free and open source media player and entertainment center.
* [Jellyfin](https://jellyfin.org) – A media solution that puts you in control of your media.
* [Streamio](https://www.stremio.com) – A media center allowing to watch movies, series and YouTube channels.
* [Owncast](https://owncast.online) – A self-hosted live video and web chat server.

## Media players

### Music

* [Strawberry](https://www.strawberrymusicplayer.org) – A music player and music collection organizer.
* [Audacious](https://audacious-media-player.org) – An open source audio player.
* [Rhythmbox](https://wiki.gnome.org/Apps/Rhythmbox) – A music playing application for GNOME.
* [DeaDBeeF](https://deadbeef.sourceforge.io) – A multi-platform and modular audio player.
* [Vanilla Music](https://github.com/vanilla-music/vanilla) – A clean, simple and free music player for Android.
* [Elisa](https://apps.kde.org/en/elisa) – A simple music player that should be easy to use.

### Video

* [VLC](https://www.videolan.org/vlc/) – A free and open source cross-platform multimedia player.
* [MPV](https://mpv.io) – A free, open source, and cross-platform media player.
* [IINA](https://iina.io) – A modern media player for macOS.
* [SMPlayer](https://www.smplayer.info) – A free Media Player with built-in codecs.
* [MPC-BE](https://sourceforge.net/projects/mpcbe/) – A free and open source audio and video player for Windows.

### Podcast

* [gPodder](https://gpodder.github.io) – A service and web client to manage your podcasts.
* [AntennaPod](https://antennapod.org) – An open source podcast player for Android.
* [podStation]() – A Chrome extension to subscribe and listen to your podcasts.
* [Escapepod](http://y20k.org/escapepod/) – An open source podcast app for Android.

## Instant messaging

* [Signal](https://signal.org) – An end-to-end encrypted voice/video calls and messaging app for all platforms.
* [Threema](https://threema.ch) – An instant messenger designed to generate as little user data as possible.
* [Element](https://element.io) – All-in-one secure chat app for teams, friends and organisations.
* [Briar](https://briarproject.org) – A peer-to-peer encrypted messaging app for Android.
* [Conversations](https://conversations.im) – A Jabber/XMPP chat client, designed with ease of use and security in mind.
* [Ricochet](https://ricochet.im) – Anonymous instant messaging for real privacy.
* [Session](https://getsession.org) – An end-to-end encrypted messenger that minimises sensitive metadata.
* [Tox](https://tox.chat) – Send messages, files, create groups and make Tox to Tox audio and video calls.
* [Delta Chat](https://delta.chat) – A decentralized communication app using the existing e-mail server network.

## Video and voice calling

* [Jitsi Meet](https://meet.jit.si) – A secure, flexible, and completely free video conferencing software.
* [Jami](https://jami.net) – Adistributed communication platform which respects the freedoms and privacy of users.
* [Linphone](https://www.linphone.org) – An open source SIP client for HD voice/video calls.
* [Mumble](https://www.mumble.info) – A free, open source, low latency, high quality voice chat application.
* [Nextcloud Talk](https://nextcloud.com/talk/) – Screensharing, online meetings & web conferencing without data leaks.

## Team communication

* [Element](https://element.io) – All-in-one secure chat app for teams, friends and organisations.
* [Rocket.chat](https://rocket.chat) – Communicate and collaborate with your team, share files, and chat in real-time.
* [Mattermost](https://mattermost.org) – All your team communication into one place, making it searchable and accessible anywhere.
* [Zulip](https://zulip.com) – Powerful group chat, with threaded conversations.
* [Dino](https://dino.im) – A modern and open source Jabber/XMPP chat client for the desktop.
* [Big Blue Button](https://bigbluebutton.org) - A free, open source, web conferencing system for online learning.

## Project management

* [Twake](https://twake.app) – A complete and secure collaboration platform.
* [Wekan](https://wekan.github.io) – An open-source and collaborative kanban board application.
* [Kanboard](https://kanboard.org) – A free and open source Kanban project management software.
* [Taiga](https://www.taiga.io) – An agile, free and open source project management tool.

## Wiki

* [BookStack](https://www.bookstackapp.com) – An open source knowledge management application.
* [DokuWiki](https://www.dokuwiki.org) – A simple to use and highly versatile open source wiki software.
* [XWiki](https://www.xwiki.org) – An advanced open source enterprise and application wiki.
* [Wiki.js](https://wiki.js.org) – A powerful open source wiki software built on Node.js, Git, and Markdown.
* [Zim](https://www.zim-wiki.org) – A graphical text editor used to maintain a collection of wiki pages.

## Web development

### Code editors

* _[Vim](https://www.vim.org) / [Neovim](https://neovim.io) / [Emacs](https://www.gnu.org/software/emacs/) / [Spacemacs](https://www.spacemacs.org) / [nano](https://www.nano-editor.org) / [Micro](https://micro-editor.github.io)… for the CLI lovers._
* [VSCodium](https://github.com/VSCodium/vscodium) – Free/Libre Open Source Software Binaries of VSCode.
* [TextMate](https://macromates.com) – Powerful and customizable text editor with support for a huge list of programming languages.
* [Atom](https://atom.io) – A hackable text editor for the 21st Century.
* [Kate](https://kate-editor.org) – A multi-document editor part of KDE.
* [Notepad++](https://notepad-plus-plus.org) – A free code editor and Notepad replacement that supports several languages.
* [Geany](https://www.geany.org) – A powerful, stable and lightweight programmer's text editor.

### FTP clients

* [FileZilla](https://filezilla-project.org) – A free FTP solution for both client and server.
* [Cyberduck](https://cyberduck.io) – A libre server and cloud storage browser for Mac and Windows.
* [WinSCP](https://winscp.net) – A popular SFTP client and FTP client for Windows.

### Version control

* [Git](https://git-scm.com) – A free and open source distributed version control system.
* [GitLab](https://about.gitlab.com) – A web-based git repository management with wiki, code reviews, issue-tracking…
* [Gogs](https://gogs.io) – A painless self-hosted Git service written in Go.
* [Gitea](https://gitea.io) – A community managed lightweight code hosting solution written in Go.

### Terminal emulators

* [iTerm2](https://iterm2.com) – A replacement for Apple Terminal and the successor to iTerm.
* [Hyper](https://hyper.is) – A terminal built on web technologies.
* [Yakuake](https://apps.kde.org/en/yakuake) – A drop-down terminal emulator based on KDE Konsole technology.
* [Alacritty](https://github.com/alacritty/alacritty) – A cross-platform, OpenGL terminal emulator.
* [st](https://st.suckless.org) – A simple terminal implementation for X.

## Note-taking

* [Standard Notes](https://standardnotes.org) – A simple and private note-taking app.
* [Joplin](https://joplinapp.org) – A free and open source note-taking and to-do application.
* [Turtl](https://turtlapp.com) – A secure collaborative notebook.
* [Cryptee](https://crypt.ee) – A private and encrypted place for all your photos, documents, notes and more.
* [Carnet](https://getcarnet.app) – A complete open source note taking app.
* [QOwnNotes](https://www.qownnotes.org) – An open source markdown note taking with Nextcloud / ownCloud integration.
* [Boost Note](https://boostnote.io) – An open source Markdown editor for developers.
* [Paperwork](https://paperwork.cloud) – An open-source, self-hosted alternative to services like Evernote, OneNote or Google Keep.

## Markdown editors

* [Typora](https://typora.io) – A Markdown editor and Markdown reader.
* [Mark Text](https://marktext.app) – A Markdown editor for Mac, Windows and Linux.
* [Zettlr](https://www.zettlr.com) – A Markdown editor for the 21st century.
* [MacDown](https://macdown.uranusjr.com) – An open source Markdown editor for macOS.
* [Abricotine](https://abricotine.brrd.fr) – An open-source markdown editor built for desktop.
* [ghostwriter](https://wereturtle.github.io/ghostwriter/) – A distraction-free Markdown editor for Windows and Linux.

## To-do lists

* [Org mode](https://orgmode.org) – An Emacs mode for keeping notes, maintaining to-do lists, planning projects, and more.
* [Tasks](https://tasks.org) – An open-source to-do lists & reminders app for Android.
* [Super Productivity](https://super-productivity.com) – A flexible to-do list, time tracker and personal Jira/Github task manager.
* [Condution](https://www.condution.com) – A personal to-do list and project management system.

## Photo

### Android camera

* [OpenCamera](https://opencamera.org.uk) – An open source camera app for phones and tablets.
* [Simple Camera](https://www.simplemobiletools.com) – A camera usable for both easy photo taking and video recording.
* [FreeDCam](https://github.com/KillerInk/FreeDcam) – A substitute of the default camera with enhanced shot, exposure, image options.

### Photo storage

* [Netxcloud Photos](https://github.com/nextcloud/photos) – A Photos plugin to help you organize and visualize your photos in Nextcloud.
* [LibrePhotos](https://github.com/LibrePhotos/librephotos) – A self-hosted alternative to Google Photos based on Ownphotos.
* [Piwigo](https://piwigo.org) – An open source photo gallery software designed for organisations, teams and individuals.
* [PhotoPrism](https://photoprism.app) – A privately hosted app for browsing, organizing and sharing your personal photo collection.
* [Stingle Photos](https://stingle.org) – A gallery/camera application with backup and sync functionality for your photos and videos.
* [Cryptee](https://crypt.ee) – A private and encrypted place for all your photos, documents, notes and more.
* [Lychee](https://lychee.electerious.com) – A self-hosted photo-management tool.

### Photo management

* [digiKam](https://www.digikam.org) – An open source professional photo management tool.
* [Shotwell](https://wiki.gnome.org/Apps/Shotwell) – A personal photo manager for Linux.
* [nomacs](https://nomacs.org) – A free, open source image viewer, which supports multiple platforms.
* [Gwenview](https://apps.kde.org/en/gwenview) – A fast and easy to use image viewer by KDE.
* [qView](https://interversehq.com/qview/) – A simple multiplatform image viewer.
* [Simple Gallery](https://www.simplemobiletools.com/gallery/) – A highly customizable offline gallery for Android.
* [Photok](https://github.com/leonlatsch/Photok) – A free photo safe that stores your photos encrypted on your device.

### Image editing

* [GIMP](https://www.gimp.org) – A cross-platform image editor.
* [Krita](https://krita.org) – A professional free and open source painting and image editing program.
* [Darktable](https://www.darktable.org) – An open source photography workflow application and raw developer.
* [RawTherapee](https://www.rawtherapee.com) – A free, cross-platform raw image processing program.
* [Filmulator](https://filmulator.org) – A simplified raw editing software with the power of film.

### Metadata removal

* [Scrambled Exif](https://gitlab.com/juanitobananas/scrambled-exif) – An Android app to remove Exif data from pictures before sharing them.
* [ExifCleaner](https://exifcleaner.com) – A free desktop app to clean image metadata.
* [Imagepipe](https://codeberg.org/Starfish/Imagepipe) – An app to reduce image size and removes exif-tags when sharing images.
* [mat2](https://0xacab.org/jvoisin/mat2) – A metadata removal tool, supporting a wide range of commonly used file formats.

## Screen recording

* [OBS Studio](https://obsproject.com) – A free and open source software for video recording and live streaming.
* [SimpleScreenRecorder](https://www.maartenbaert.be/simplescreenrecorder/) – An easy to use screen recording program for Linux that supports OpenGL and X11.
* [Kazam](https://launchpad.net/kazam) – A simple screen recording program for Linux.
* [Kap](https://getkap.co) – An open-source screen recorder built with web technology.

## Office

* [LibreOffice](https://www.libreoffice.org) – A free and powerful office suite, and a successor to OpenOffice.
* [ONLYOFFICE](https://www.onlyoffice.com) – A secure online office suite highly compatible with MS Office formats.
* [Calligra Suite](https://calligra.org) – An office and graphic art suite by KDE.
* [Collabora](https://www.collaboraoffice.com) – A cloud, mobile and desktop enterprise office suite.
* [CryptPad](https://cryptpad.fr) – A zero knowledge and collaborative cloud.
* [AbiWord](http://www.nl.abisource.com) – A free word processing program similar to Microsoft Word.

## Maps and navigation

* [OpenStreetMaps](https://www.openstreetmap.org) – A map of the world, created by people like you and free to use under an open license.
* [OsmAnd](https://osmand.net) – Global mobile map viewing and navigation for online and offline OSM maps.
* [MAPS.ME](https://maps.me) – An open source cross-platform offline maps application.
* [Magic Earth](https://www.magicearth.com) – A free maps and navigation app based on OpenStreetMap data.

## Translation

* [Apertium](https://www.apertium.org) – A free/open-source machine translation platform.
* [LibreTranslate](https://libretranslate.com) – A free and open source translation API.

## Blogging platforms

* [WordPress](https://wordpress.org) –  An open source software you can use to create a beautiful website, blog, or app.
* [Ghost](https://ghost.org) –  An open source platform for building and running a modern online publication.
* [Grav](https://getgrav.org) – A modern open source flat-file CMS.
* [Write.as](https://write.as) – A simple writing platform built to preserve and spread your words.
* [Plume](https://joinplu.me) – A federated blogging application.
* [Telescope](https://telescope.ac) – A minimal, simple, and fast publishing platform with a focus on privacy.
* [Bear](https://bearblog.dev) – A privacy-first, no-nonsense, super-fast blogging platform.

## Website analytics

* [Matomo](https://matomo.org) – A Google Analytics alternative that protects your data and your customers' privacy.
* [GoAccess](https://goaccess.io) – An open source real-time web log analyzer and interactive viewer.
* [Plausible](https://plausible.io) – A lightweight and open-source website analytics tool.
* [Shynet](https://github.com/milesmcc/shynet) – A modern, privacy-friendly, and detailed web analytics that works without cookies or JS.
* [Fathom](https://usefathom.com) – A simple, light-weight, privacy-first alternative to Google Analytics.
* [Simple Analytics](https://simpleanalytics.com) – Simple, clean, and friendly analytics.
* [umami](https://umami.is) – A simple, fast, website analytics alternative to Google Analytics.
* [Offen](https://www.offen.dev) – Fair web analytics. Gain insights while your users have full access to their data.

## Fonts

* [Font Squirrel](https://www.fontsquirrel.com) – Free fonts with commercial-use licenses.
* [Open Font Library](https://fontlibrary.org) – Free fonts with freedom to use, study, share and remix them.
* [Brick](https://brick.im) – An open-source webfont service.

## Android keyboards

* [OpenBoard](https://github.com/dslul/openboard) – A 100% FOSS keyboard, based on AOSP.
* [AnySoftKeyboard](https://anysoftkeyboard.github.io) – A free and open source keyboard that supports multiple languages.
* [Simple Keyboard](https://github.com/rkkr/simple-keyboard) – A simple open source keyboard.
* [Hacker's Keyboard](https://github.com/klausw/hackerskeyboard) – A keyboard with separate number keys, punctuation and arrow keys.
* [kboard](https://github.com/adgad/kboard) - A keyboard designed for fast responses.

## Android app stores

* [F-Droid](https://www.f-droid.org) – An installable catalogue of free and open source applications for Android.
* [AuroraDroid](https://gitlab.com/AuroraOSS/auroradroid) – An unofficial free and open source client for F-Droid.
* [G-Droid](https://gitlab.com/gdroid/gdroidclient/) – A front-end client for the F-Droid app-repository.
* [Foxy Droid](https://github.com/kitsunyan/foxy-droid) – Another unofficial F-Droid client in the style of the classic one.
* [Aurora Store](https://gitlab.com/AuroraOSS/AuroraStore) – An unofficial, FOSS client to Google's Play Store with an elegant design.

## Mobile security

* [Lockdown Privacy](https://lockdownprivacy.com) – An app to block trackers, ads, and badware — in all your apps.
* [TrackerControl](https://trackercontrol.org) – An Android app to monitor and control trackers and ads.
* [Jumbo](https://www.jumboprivacy.com) – A privacy app to clean your digital life.
* [Orbot](https://guardianproject.info/apps/org.torproject.android/) – A free proxy app that empowers other apps to use the internet more securely.

## Two-factor authentication

* [FreeOTP](https://freeotp.github.io) – A two-factor authentication application for systems utilizing one-time password protocols.
* [andOTP](https://github.com/andOTP/andOTP) – An open source two-factor authentication app for Android.
* [Aegis](https://getaegis.app) – A secure and open source app for Android to manage your 2-step verification tokens.
* [Tofu Authenticator](https://www.tofuauth.com) – An easy-to-use, open-source two-factor authentication app for iOS.
* [Authenticator](https://mattrubin.me/authenticator/) – A two-factor authentication client for iOS.

## URL shorteners

* [Kutt](https://kutt.it) – A free and open source URL shortener with custom domains and stats.
* [Polr](https://polrproject.org) – A quick, modern, and open-source link shortener.
* [LSTU](https://lstu.fr) – An open source URL shortening service.
* [YOURLS](https://yourls.org) – A small set of PHP scripts that will allow you to run your own URL shortening service.

## System optimizers

* [Bleachbit](https://www.bleachbit.org) – A software to clean your computer to free space and maintain privacy.
* [Stacer](https://github.com/oguzhaninan/Stacer) – A Linux system optimizer and monitoring tool.
* [Czkawka](https://github.com/qarmin/czkawka) – A simple, fast and easy to use app to remove unnecessary files from your computer.
* [AppCleaner](https://freemacsoft.net/appcleaner/) – A small application which allows you to thoroughly uninstall unwanted apps.
* [Bulk Crap Uninstaller](https://www.bcuninstaller.com) – A Windows app to remove large amounts of unwanted applications quickly.

## BitTorrent clients

* [Transmission](https://transmissionbt.com) – A cross-platform BitTorrent client.
* [qBittorent](https://www.qbittorrent.org) – An open-source software alternative to µTorrent.
* [Deluge](https://deluge-torrent.org) – A lightweight, Free Software, cross-platform BitTorrent client.
* [rTorrent](https://rakshasa.github.io/rtorrent/) – A commend-line BitTorrent client.
* [WebTorrent](https://webtorrent.io) – A multi-platform desktop app for streaming torrents.
* [LibreTorrent](https://gitlab.com/proninyaroslav/libretorrent) – A free torrent client for Android based on libtorrent.

## Video editors

* [Kdenlive](https://kdenlive.org) – An open source and feature-rich video editor.
* [OpenShot](https://www.openshot.org) – A simple and powerful video editing program.
* [Shotcut](https://www.shotcut.org) – A free, open source, cross-platform video editor.
* [Olive](https://www.olivevideoeditor.org) – A free non-linear video editor for Windows, macOS, and Linux.
* [Flowblade](https://jliljebl.github.io/flowblade/) – A multitrack non-linear video editor.

## Video transcoders

* [FFmpeg](https://ffmpeg.org) – A multimedia framework able to decode, encode, transcode… and play pretty much anything.
* [WinFF](https://www.biggmatt.com/p/winff.html), [FFQueue](https://ffqueue.bruchhaus.dk), [StaxRip](https://github.com/staxrip/staxrip), [QWinFF](https://qwinff.github.io) and many other front-ends for FFmpeg.
* [Handbrake](https://handbrake.fr) – A video converter from nearly any format to a selection of modern, widely supported codecs.
* [VidCoder](https://vidcoder.net) – A Windows front-end for Handbrake.
* [Shutter Encode](https://www.shutterencoder.com) – A converter designed by video editors.

## Graphic design

* [Inkscape](https://inkscape.org) – A professional vector graphics editor for Linux, Windows and macOS.
* [GIMP](https://www.gimp.org) – A cross-platform image editor.
* [Krita](https://krita.org) – A professional free and open source painting and image editing program.
* [MyPaint](http://mypaint.org) – A painting tool for digital artists.
* [Akira](https://github.com/akiraux/Akira) – A native Linux app for UI and UX design.
* [Alva](https://meetalva.io) – An app to create living prototypes with code components.
* [Pencil Project](https://pencil.evolus.vn) – An open-source GUI prototyping tool.
* [Penpot](https://penpot.app) – An open Source design and prototyping platform meant for cross-domain teams.
* [Wireflow](https://wireflow.co) – An online and open source tool for creating beautiful user flow prototypes.
* [mydraft.cc](https://mydraft.cc) – An open source wireframing tool.
* [Scribus](https://www.scribus.net) – An open source desktop publishing software.
* [Seashore](https://github.com/robaho/seashore) – An open source image editor for macOS.

## Document viewers

* [Okular](https://okular.kde.org) – A universal document viewer developed by KDE.
* [SumatraPDF](https://www.sumatrapdfreader.org) – A multi-format reader for Windows.
* [MuPDF](https://mupdf.com) – A lightweight and customizable PDF and XPS viewer.
* [Skim](https://skim-app.sourceforge.io) – A PDF reader and note-taker for macOS.
* [zathura](https://pwmt.org/projects/zathura/) – A highly customizable and functional document viewer.
* [Evince](https://wiki.gnome.org/Apps/Evince) – A document viewer for multiple document formats.
* [Document Viewer](https://github.com/SufficientlySecure/document-viewer) – A highly customizable document viewer for Android.
* [PDF Viewer Plus](https://github.com/JavaCafe01/PdfViewer) – A simple Pdf document viewer for Android.

## Ebook readers

* [Calibre](https://calibre-ebook.com) – The one stop solution to all your e-book needs.
* [Calibre Web](https://github.com/janeczku/calibre-web) – An app for browsing eBooks stored in a Calibre database.
* [Foliate](https://johnfactotum.github.io/foliate/) – A simple and modern eBook viewer for Linux desktops.
* [Bookworm](https://babluboy.github.io/bookworm/) – A simple, focused eBook reader.
* [Librera Reader](https://librera.mobi) – All-Format eBook Reader for Android.
* [KOReader](https://koreader.rocks) – A document viewer for E Ink devices.
* [Thorium Reader](https://www.edrlab.org/software/thorium-reader/) – An EPUB reader of choice for Windows 10, macOS and Linux.
* [Duofolio](https://github.com/farshed/duofolio) – An ebook reader that helps you read books in other languages.

## Screenshot utilities

* [Flameshot](https://flameshot.org) – A powerful yet simple to use screenshot software.
* [ShareX](https://getsharex.com) – A screen capture, file sharing and productivity tool.
* [Greenshot](https://getgreenshot.org) – A small screenshot tool with support for OCR, Office export and annotations.
* [Ksnip](https://github.com/ksnip/ksnip) – A Qt-based cross-platform screenshot tool.
* [Spectacle](https://apps.kde.org/en/spectacle) – A simple application for capturing desktop screenshots.

## Backup tools

* [Déjà Dup](https://wiki.gnome.org/Apps/DejaDup) – A personal backup tool to protect against accidental data loss.
* [Duplicati](https://www.duplicati.com) – A free backup software to store encrypted backups online.
* [Timeshift](https://github.com/teejee2008/timeshift) – An app that takes incremental snapshots of the file system at regular intervals.
* [Cronopete](https://gitlab.com/rastersoft/cronopete) – A backup utility for Linux, modeled after Apple's Time Machine.
* [BorgBackup](https://www.borgbackup.org) – A deduplicating archiver with compression and encryption.
* [UrBackup](https://www.urbackup.org) – An open Source client/server backup system.

## Gaming

* [Lutris](https://lutris.net) – An open source gaming platform for Linux.
* [itch.io](https://itch.io) – An online game marketplace and community.
* [Playnite](https://playnite.link) – An open source video game library manager.
* [GameHub](https://tkashkin.tk/projects/gamehub/) – A unified library for all your games.
* [PlayOnLinux](https://www.playonlinux.com) – A tool to help Linux (and Mac) users run games and programs for Windows.
* [RetroArch](https://retroarch.com) – A frontend for emulators, game engines and media players.
* [OpenEmu](https://openemu.org) – an open source project to bring game emulation to macOS.
* [Pegasus](https://pegasus-frontend.org) – A cross platform frontend for launching emulators and managing your game collection.
* [Ludo](https://ludo.libretro.com) – A minimalist frontend for emulators.

## Other

* [Zero Data App](https://0data.app) – Apps that let you own 100% of your data.

---

- [awesome-privacy](https://github.com/paulaime/awesome-privacy)
