# 🔸 M - Monitoring
## [Grafana](https://github.com/grafana/grafana): The open-source platform for monitoring and observability <br>
  > ![image](https://user-images.githubusercontent.com/51442719/173180126-9f2f0fdb-7fcc-4c89-9ac7-bf8dc285eaf3.png) <br>
  > ### The open and composable observability and data visualization platform. <br> Visualize metrics, logs, and traces from multiple sources like Prometheus, Loki, Elasticsearch, InfluxDB, Postgres and many more. <br> Grafana allows you to query, visualize, alert on and understand your metrics no matter where they are stored. Create, explore, and share dashboards with your team and foster a data-driven culture:

## [ProcSpy](https://github.com/itsKindred/procSpy): Python tool that monitors and logs user-run commands on a Linux system for either offensive or defensive purposes..
  > procSpy is a Python application that monitors user space commands being ran via /proc parsing, and records said commands in a "queriable" fashion for future investigation. <br>
  > The tool can to be utilized as both a defensive and offensive tool.
  > <a href="https://asciinema.org/a/244739" target="_blank"><img src="https://asciinema.org/a/244739.svg" /></a>

## [ElastiFlow](https://github.com/robcowart/elastiflow) Network flow analytics (Netflow, sFlow and IPFIX) with the Elastic Stack
  > ### Now that the new ElastiFlow™ Unified Flow Collector is generally available, the legacy Logstash-based solution in this repository is deprecated. It will remain here for historical purposes, but will not receive updates. You are encouraged to try out the new collector. See more details below.
  > ![image](https://user-images.githubusercontent.com/51442719/174500666-67cc856c-b3fd-4711-831e-ad3aad189bfa.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500688-9d24af88-c619-464e-b5d2-bd082d25a9aa.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500693-343daab7-8a4f-42d1-9c89-442490b90d41.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500701-df9d6cb7-ecaa-4cd4-8800-36b5ec33840f.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500710-c2bce69a-ef4d-4ffe-bd95-7799f2f693bb.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500718-f3eff12a-5dec-4f53-b19e-fcb21c14c447.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500728-ceb03703-5ecb-4a0d-aca7-7f115a7c0392.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500733-1c94de55-6a1c-4b8d-823b-fd09de19968b.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500740-a5ab566a-f272-44af-be9f-770e648ee978.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500745-2e684663-43db-4a45-8dc8-7c8970cdadf1.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500751-cff876de-c74b-4ba9-acde-79e462982523.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500759-c9e4e41d-76ae-464a-8aa5-cfef9bcafcea.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500762-300453e0-a7b6-4b8f-851f-c240d61ec9b6.png) <br>
  > ![image](https://user-images.githubusercontent.com/51442719/174500764-b70382a3-5537-4637-bcec-d282aa0c3bf4.png) <br>

## [Maltrail](https://github.com/stamparm/maltrail) Malicious traffic detection system
  > ![image](https://user-images.githubusercontent.com/51442719/175340482-94359fa7-d666-4ad9-8fe8-b8ed267d44e4.png)
  > #### Maltrail is a malicious traffic detection system, utilizing publicly available (black)lists containing malicious and/or generally suspicious trails, along with static trails compiled from various AV reports and custom user defined lists, where trail can be anything from domain name (e.g. zvpprsensinaix.com for Banjori malware), URL (e.g. hXXp://109.162.38.120/harsh02.exe for known malicious executable), IP address (e.g. 185.130.5.231 for known attacker) or HTTP User-Agent header value (e.g. sqlmap for automatic SQL injection and database takeover tool). Also, it uses (optional) advanced heuristic mechanisms that can help in discovery of unknown threats (e.g. new malware).
  > ![image](https://user-images.githubusercontent.com/51442719/175340577-85ec3b1d-018b-4b1e-9565-24ee0a8fa2de.png)



----
