---
menu: Bug Hunting Methodology
title: The Complete Bug Bounty Hunting Methodology and Enumeration
description: "The bug bounty hunter methodology: tools, tips and tricks."
weight: 30
draft: true
---

# The Bug Bounty Hunting Methodology

## At a Glance

## [Assets Discovery]({{< ref "assets-discovery" >}})
  - [Acquisitions]({{< ref "assets-discovery#acquisitions" >}})
  - [ASN Enumeration]({{< ref "assets-discovery#asn-enumeration" >}})
  - [Reverse Whois]({{< ref "assets-discovery#reverse-whois" >}})
  - [Tracking Codes]({{< ref "assets-discovery#tracking-codes" >}})
  - [Google Dorking]({{< ref "assets-discovery#google-dorking" >}})
  - [Shodan]({{< ref "assets-discovery#shodan" >}})

## [Subdomain Enumeration]({{< ref "subdomain-enumeration" >}})

### Passive Subdomain Enumeration

  - [Certificate Transparency]({{< ref "subdomain-enumeration#certificate-transparency" >}})
  - [Google Dorking]({{< ref "subdomain-enumeration#google-dorking" >}})
  - [DNS Aggregators]({{< ref "subdomain-enumeration#dns-aggregators" >}})
  - [ASN Enumeration]({{< ref "subdomain-enumeration#asn-enumeration" >}})
  - [Subject Alternate Name (SAN)]({{< ref "subdomain-enumeration#subject-alternate-name-san" >}})
  - [Rapid7 Forward DNS dataset]({{< ref "subdomain-enumeration#rapid7-forward-dns-dataset" >}})

### Active Subdomain Enumeration

  - [Brute Force Enumeration]({{< ref "subdomain-enumeration#brute-force-enumeration" >}})
  - [DNS]({{< ref "subdomain-enumeration#dns" >}})
  - [Content Security Policy (CSP) Header]({{< ref "subdomain-enumeration#content-security-policy-csp-header" >}})

## Further Reading

- [OWASP Web Security Testing Guide](https://owasp.org/www-project-web-security-testing-guide/stable/)
- [The Bug Hunter's Methodology Full 2-hour Training by Jason Haddix](https://www.youtube.com/watch?v=uKWu6yhnhbQ)
- [Awesome Bugbounty Writeups](https://github.com/devanshbatham/Awesome-Bugbounty-Writeups)
- [Researcher Tips and Tricks Youtube Playlist](https://www.youtube.com/playlist?list=PLIK9nm3mu-S4SuIUZ6LKh98QGT4fz59Sj)
