<p align="center">
<img width="100%" src="https://user-images.githubusercontent.com/11171288/113489611-d57a1680-94e2-11eb-89a8-e7050c0cd0e9.png" />
</p>




## 📢 About this repo

* **Unofficial Study Guide for CEH v11 exam, forked from:**
* <small>https://github.com/scottymcraig/CEHv11StudyGuide</small> 
* <small> forked from: https://github.com/Samsar4/CEH-v10-Study-Guide</small> 
    * **Targetted Changes:**
        - [+] Modules update
        - [+] Increased information details in all modules
        - [+] Practical labs added
        - [+] Content segregation

* The objective of this repo is to clarify all topics presented on [CEH v11](https://iclass.eccouncil.org/our-courses/certified-ethical-hacker-ceh/) (ANSI) exam.

## LAST UPDATED ON Nov 5th 2021

### ⚡︎ **This study guide have some [practical labs] to test your knowledge and learn by doing.**
---

* ⚠️ **Important note about the exam:**

    - **CEH v11** will be covering new topics like:
        - *Hacking challenges, Emerging attack vectors(Web API, Web Shell etc), Cointainers, Reverse engineering (Static and Dynamic analysis), WPA3, Parrot OS and more.*[[+]](https://www.eccouncil.org/programs/certified-ethical-hacker-ceh/)

# Index

**All Modules in one single file**: [![markdown](https://img.shields.io/badge/Markdown-.md-silver.svg)](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/All-Modules.md) [![HTML](https://img.shields.io/badge/HTML-.html-blue.svg)](https://github.com/Samsar4/CEH-v11-Study-Guide/blob/master/modules/All-Modules.html)



1. [Module 01 - Introduction to Ethical Hacking](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/1-Introduction.md)
2. [Module 02 - Footprinting and Reconnaissance](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/2-Footprinting-and-Reconnaissance.md)
3. [Module 03 - Scanning Networks](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/3-Scanning-Networks.md)
4. [Module 04 - Enumeration](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/2-Scanning-and-Enumeration.md)
5. [Module 05 - Vulnerability Analysis](https://github.com/imrk51/CEH-v11-Study-Guide/blob/main/modules/5-Vulnerability-Analysis.md)
6. [Module 06 - System Hacking](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/6-System-Hacking.md)
7. [Module 07 - Malware Threats](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/7-Malware.md)
8. [Module 08 - Sniffing](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/8-Sniffing.md)
9. [Module 09 - Social Engineering](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/9-Social-Engineering.md)
10. [Module 10 - Denial of Service](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/10-Denial-of-Service.md)
11. [Module 11 - Session Hijacking](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/11-Session-Hijacking.md)
12. [Module 12 - Evading IDS, Firewalls, and Honeypots](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/12-Evading-IDS-Firewalls-and-Honeypots.md)
13. [Module 13 - Hacking Web Servers](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/13-Hacking-Web-Servers.md)
14. [Module 14 - Hacking Web Applications](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/14-Hacking-Web-Applications.md)
15. [Module 15 - SQL Injection](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/14-Pentesting.md)
16. [Module 16 - Hacking Wireless Networks](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/16-Hacking-Wireless-Networks.md)
17. [Module 17 - Hacking Mobile Platforms](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/17-Hacking-Mobile-Platforms-and-IoT.md)
18. [Module 18 - Hacking IoT and OT Hacking](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/17-Hacking-Mobile-Platforms-and-IoT.md)
19. [Module 19 - Cloud Computing](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/19-Cloud%20Computing.md)
20. [Module 20 - Cryptography](https://github.com/imrk51/CEH-v11-Study-Guide/blob/master/modules/20-Cryptography.md)
